What devices are supported on the Android Polyvore app?

Follow

We currently support most devices running Android version 4.0.3 or higher.

Unfortunately, we will not be supporting the Barnes & Noble Nook at this time.

Have more questions? Submit a request

Comments

Powered by Zendesk